Package org.apache.sysds.runtime.compress.colgroup

## Enum AColGroup.CompressionType

- java.lang.Object
- - java.lang.Enum<AColGroup.CompressionType>
  - - org.apache.sysds.runtime.compress.colgroup.AColGroup.CompressionType

All Implemented Interfaces:
  `Serializable`, `Comparable<AColGroup.CompressionType>`

Enclosing class:
  AColGroup

    public static enum AColGroup.CompressionType
    extends Enum<AColGroup.CompressionType>

Public super types of compression ColGroups supported

### Enum Constant Summary

Enum Constants
`CONST`
`DDC`
`DDCFOR`
`DeltaDDC`
`EMPTY`
`LinearFunctional`
`OLE`
`RLE`
`SDC`
`SDCFOR`
`UNCOMPRESSED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isConst()`
`boolean` `isDense()`
`boolean` `isSDC()`
`static AColGroup.CompressionType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AColGroup.CompressionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNCOMPRESSED

    public static final AColGroup.CompressionType UNCOMPRESSED

#### RLE

    public static final AColGroup.CompressionType RLE

#### OLE

    public static final AColGroup.CompressionType OLE

#### DDC

    public static final AColGroup.CompressionType DDC

#### CONST

    public static final AColGroup.CompressionType CONST

#### EMPTY

    public static final AColGroup.CompressionType EMPTY

#### SDC

    public static final AColGroup.CompressionType SDC

#### SDCFOR

    public static final AColGroup.CompressionType SDCFOR

#### DDCFOR

    public static final AColGroup.CompressionType DDCFOR

#### DeltaDDC

    public static final AColGroup.CompressionType DeltaDDC

#### LinearFunctional

    public static final AColGroup.CompressionType LinearFunctional

### Method Detail

#### values

    public static AColGroup.CompressionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AColGroup.CompressionType c : AColGroup.CompressionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AColGroup.CompressionType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isDense

    public boolean isDense()

#### isConst

    public boolean isConst()

#### isSDC

    public boolean isSDC()